Bug 118293 - Erratic resizing of mozilla browser window
Erratic resizing of mozilla browser window
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-03-15 01:59 EST by Michael Wiktowy
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 09:11:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Wiktowy 2004-03-15 01:59:00 EST
Description of problem:
When a Mozilla browser window is open and is resized using the lower
right resize grip, the resizing animation is smooth when gripping onto
the extreme outer edge of the resize region. The resizing is highly
erratic when the inner most extreme edge of the grippy region is
selected and sometimes the dragging sticks on even if the mouse button
is released.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Open Mozilla browser (any URL)
2. left-click and drag on the bottom right corner of the window at the
extreme inside location when the resize cursor appears
3. try to resize the window to the desired size
Actual results:
Window size jumps all over the place and will not stop jumping around
even after mouse button is released until the mouse focus is elsewhere.

Expected results:
The same smooth resizing that you get if you click the extreme outside
edge of the window.

Additional info:
ATI 8500 AIW video card
Comment 1 Michael Wiktowy 2004-05-05 21:46:26 EDT
Running on an updated system using yum update to repository as of
The resize is behaving much better now but it still not ideal. Instead
of the sizing jumping around it will just stop and not track the cursor.
Comment 2 Boris Goldowsky 2004-05-08 00:09:01 EDT
I also get this -- the mozilla window "sticking" to the mouse if I
resize with the lower-right corner.  It makes the system nearly
unusable because it takes a lot of random moving & clicking to get it
unstuck - very embarrassing :-0 when trying to show off Fedora and Gnome.

This is with FC2 test 3, with all updates as of 5/8/04 - so
Comment 3 Ling Li 2004-08-05 01:17:00 EDT
This is still there in FC2 final.
Comment 4 Michael Wiktowy 2004-09-08 01:07:39 EDT
This problem still exists in FC3 test 1 yum updated right up to
Comment 5 Christopher Blizzard 2004-09-27 11:02:44 EDT
With what theme?  I don't have a little grippy in the lower right hand
corner.  I believe that's disabled for just this reason. :)
Comment 6 Michael Wiktowy 2004-09-27 11:22:25 EDT
I am using the standard "Modern" theme. There are diagonal lines on
the lower right corner which I call "the grippy region" that is
separate from the border of the Mozilla window. Just checking now ...
I notice that the "Classic" theme gets rid of that grippy region. So I
guess this is just a problem when using the Modern theme or others
that define that region. There is a work-around then but I would say
that there is still an underlying problem when a theme defines it's
own resizing region. Perhaps a general disabling of that functionality
in themes is best if all window managers have their own resizing
functionality ... it would at least avoid the windows spazzing out
when they are fighting one another.
Comment 7 Christopher Blizzard 2004-09-27 11:32:20 EDT
It's a long-standing bug.  I mean it's been there for years.  I think
I tried to diagnose it once.  I suspect it's the motionnotify
compression handler wreaking havoc with the offsets in the code that
tracks the location of the mouse for that kind of drag.
Comment 8 Michael Wiktowy 2004-09-27 11:51:08 EDT
I noticed in W2K that Firefox has that same grippy region in its
standard "Firefox" theme and it works fine. I will install and load up
Firefox in my FC3-test box when I get home to see if it is handled
properly there. If so, maybe there is a solution that already exists
Comment 9 Christopher Blizzard 2004-09-27 11:53:50 EDT
Yeah, I think it's a bug down in widget/ which means it's specific to
Comment 10 Michael Wiktowy 2004-09-27 19:47:40 EDT
As promised, I installed Firefox/Linux and the grippy is conspicuously
absent. So either Firefox/Linux packages a different default theme
than Firefox/Windows (I suspect not) or somehow the Linux version
clobbers the grippy that is in the theme knowing that it will cause
grief. Is there a chance of getting this grippy-clobbering code into
the Mozilla Suite too? Should this just go into the Mozilla bugzilla
instead/as well?
Comment 11 John Thacker 2006-10-29 09:11:38 EST
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.

Note You need to log in before you can comment on or make changes to this bug.